# Chargeback Transaction

A chargeback transaction occurs when a customer disputes a charge on their credit card statement and requests a refund from their bank. Fraud detection involves identifying and preventing unauthorized or fraudulent chargeback requests.

## Endpoint

`POST https://secctrl.tutelar.io/api/v1/fraud-detector/transaction/chargeback`

## Body

### `application/json`

#### `status` — string · enum · Required

This key is used to request the chargeback status for a transaction. The possible values are:

* `contested`: The chargeback has been contested.
* `accepted`: The chargeback has been accepted.
* `defeated`: The chargeback dispute has been defeated.
* `refunded`: The transaction amount has been refunded.
* `prearbitration`: The chargeback is in the pre-arbitration phase.

Example: `contested`

Possible values: `contested`, `accepted`, `defeated`, `refunded`, `prearbitration`

#### `orderId` — string · Required

This is a unique identifier for the transaction associated with the order for which the chargeback is being requested.

Example: `ORD_10726`

#### `reason` — string · Required

The reason for the chargeback. This explains why the chargeback is being requested, such as due to fraudulent activity, unauthorized transactions, or disputes over the product or service.

Example: `Product Not Received`

## Responses

### 200

If the chargeback status is updated successfully.

`application/json`

* `success` — boolean · Optional\
  Example: `true`
* `message` — string · Optional\
  Example: `Chargeback status updated successfully`
* `data` — object · Optional

### 422

If an invalid status is provided.

`application/json`

## Example request

```http
POST /api/v1/fraud-detector/transaction/chargeback HTTP/1.1
Host: secctrl.tutelar.io
Content-Type: application/json
Accept: */*
Content-Length: 76

{
  "status": "contested",
  "orderId": "ORD_10726",
  "reason": "Product Not Received"
}
```

## Example response

If the chargeback status is updated successfully.

```json
{
  "success": true,
  "message": "Chargeback status updated successfully",
  "data": {
    "orderId": "ORD_10726",
    "requestedDateTime": "2024-04-17T11:54:00.466Z",
    "responseDateTime": "2024-04-17T11:54:00.474Z",
    "processedTime": 8
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/chargeback-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
